/*

ModuleSound (version 2.4)

Part of the Resound 2.4 API
Sean Luke
Last Revision: January 20, 1996

Copyright 1996, Sean Luke
This code may be used, modified, or distributed freely without 
permission of the author.



This category lists method additions to Sound usable by module writers.

*/

#import <soundkit/soundkit.h>

@interface Sound(ModuleSound)

- (int)sampleSize;
- (int)sampleSizePerChannel;
+ (int) performFFTFromSoundData:(char*)data:(int)start_sample:
	(int)sample_length:(int)dataFormat:(int)numChannels
		toFFTData:(float*)fft_data:(int)fft_length;
+ (int) performIFFTToSoundData:(char*)data:(int)start_sample:
	(int)sample_length:(int)dataFormat:(int)numChannels
		fromFFTData:(float*)fft_data:(int)fft_length;
+ (int) nextPositivePowerOfTwo:(int)value;

@end